%define	name	xmailbox
%define	version	2.5
%define	release	21mdk

Summary:	An X Window System utility which notifies you of new mail
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Networking/Mail
BuildRequires:	XFree86-devel xpm-devel X11
Source0:	ftp://ftp.x.org/contrib/applications/%{name}-%{version}.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
Patch1:		xmailbox-2.2-xpm.patch.bz2
Patch2:		xmailbox-2.4-glibc.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The xmailbox program is an X Window System program which notifies you
when mail arrives.  Xmailbox is similar to the xbiff program, but it
offers more features and notification options.

Install the xmailbox package if you'd like a graphical program for X
which will notify you when new mail arrives.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
xmkmf
%make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig

%{makeinstall_std} install.man

#menu and icons
install -d $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): needs="X11" \
icon="mail_section.png" \
section="Internet/Mail" \
title="Xmailbox" \
longtitle="Mail notifier" \
command="%{_prefix}/X11R6/bin/%{name}"
EOF

#(peroyvind) get rid of unpackaged files
rm -f $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_prefix}/X11R6/bin/xmailbox
%{_prefix}/X11R6/man/man1/xmailbox.1*
%{_prefix}/X11R6/lib/X11/doc/html/xmailbox.1.html
%config(noreplace) %{_sysconfdir}/X11/app-defaults/XMailbox
%{_menudir}/%{name}

%changelog
* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.5-21mdk
- Rebuild

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5-20mdk
- fix buildrequires for real

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5-19mdk
- fix buildrequires
- fix summary-ended-with-dot

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 2.5-18mdk
- Fix menu

* Tue Jan 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5-17mdk
- get rid of unpackaged symlink
- drop prefix tag
- cosmetics

* Sun May 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5-16mdk
- rebuild for rpm 4.2
- fix unpackaged files
- menu in spec
- png icons

* Sat Aug 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 2.5-15mdk
- rebuilt for cooker

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.5-14mdk
- automatically added BuildRequires


* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.5-13mdk
- BM

* Thu May  4 2000 Vincent Saugey <vince@mandrakesoft.com> 2.5-12mdk
- Remove menu entry

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 2.5-11mdk
- some changes to spec files
- add icons (entries without icons are very ugly ;-)

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 2.5-10mdk
- Spec and group fixes
- Menu

* Fri Nov 5 1999 Damien Krotkine <damien.mandrakesoft.com>
- Mandrake release

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- updated wmconfig Group line

* Wed Oct 29 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
